Class LexiconTests

In: | tests/lexicon.tests.rb tests/linguawordnet.tests.rb
Parent: | WordNet::TestCase

Methods

test_00_PerlTests test_00_constructor test_10_DbMethods test_20_Familiarity test_25_Morph test_30_ReverseMorph test_35_Grep test_40_LookupSynsets test_45_CreateSynset

Public Instance methods

test_00_constructor()

Class + constructor

test_10_DbMethods()

Database methods

test_20_Familiarity()

Test familiarity

test_25_Morph()

Test morphology

test_30_ReverseMorph()

Test reverse morph

test_35_Grep()

Test grep

test_40_LookupSynsets()

Test synset lookup (which also tests synset-by-offset lookup)

test_45_CreateSynset()

Test synset creation via factory method

test_00_PerlTests()